# AbstractBuildCache

API Documentation: | `AbstractBuildCache`

Known Subtypes: |
`DirectoryBuildCache`
`HttpBuildCache`

Note: This class is incubating and may change in a future version of Gradle.

Base implementation for build cache service configuration.

### Properties

Property | Description
`enabled` | Incubating Whether the build cache is enabled.
`push` | Incubating Whether pushing to the build cache is enabled.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `boolean` `enabled`

Note: This property is incubating and may change in a future version of Gradle.

Whether the build cache is enabled.

#### `boolean` `push`

Note: This property is incubating and may change in a future version of Gradle.

Whether pushing to the build cache is enabled.